Bug 235189 - Review Request: nautilus-python - Python bindings for Nautilus
Review Request: nautilus-python - Python bindings for Nautilus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Package Reviews List
:
Depends On:
Blocks: 235191
  Show dependency treegraph
 
Reported: 2007-04-04 08:40 EDT by Trond Danielsen
Modified: 2012-04-05 16:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 16:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
caghand: fedora‑review?


Attachments (Terms of Use)
updated spec with review corrections included (1.59 KB, text/plain)
2007-04-20 04:17 EDT, Jef Spaleta
no flags Details

  None (edit)
Description Trond Danielsen 2007-04-04 08:40:49 EDT
Spec URL: ftp://open-gnss.org/pub/fedora/nautilus-python/nautilus-python.spec
SRPM URL: ftp://open-gnss.org/pub/fedora/nautilus-python/nautilus-python-0.4.3-1.src.rpm
Description: Python bindings for Nautilus.

- Builds in mock on rawhide i386 and fc6 x86_64.
- Output from rpmlint: 
[trondd@localhost i386]$ rpmlint nautilus-python-*
W: nautilus-python-devel no-documentation
Comment 1 Jef Spaleta 2007-04-20 04:15:06 EDT
The Good
+ naming is good
+ specfile name matches base package name 
+ Licensed as GPL and includes COPYING file accordingly
+ specfile written in english-ese and is legible
+ included source md5sum checks with upstream source as listed in SOURCE0 url
f4bd5de3a9e01c80fc0a2ef7aeb64dd7  nautilus-python-0.4.3.tar.gz
+ builds on x86 fedora-development in mock
+ buildrequires look good
+ no locales
+ not relocatable
+ base package owns all directories it creates and directory ownership of parent
directories is accounted for in package deps
+ permissions seem to be okay
+ clean section is okay
+ consistent use of macros
+ permissible code and content
+ items in doc are not runtime necessary
+ devel requires versioned base package
+ not a gui
+ does not obviously own files from another package 
+ install section looks good
+ build.log shows its using the RPM_OPT_FLAGS

The Bad
- Must remove all .la files
- devel subpackage needs to require pkgconfig due to directory ownership rules
- Need to include appropriate ldconfig scriptlets for shared libraries

The Suggestions
? Would it be better if the examples were placed in docs section of the devel
package, instead of in the main package?

The Corrections
  Attached you'll find an updated spec file that corrects the blocker items
listed above. Please review it write back if you need to discuss anything. Once
you resubmit updated spec and srpm urls that correct the blockers this should be
approvable.

-jef
Comment 2 Jef Spaleta 2007-04-20 04:17:16 EDT
Created attachment 153113 [details]
updated spec with review corrections included

specfile with suggested review blocker corrections included.
Comment 3 Trond Danielsen 2007-04-21 05:07:47 EDT
(In reply to comment #1) 
> The Suggestions
> ? Would it be better if the examples were placed in docs section of the devel
> package, instead of in the main package?

That is a good idea. I have added it to the spec file.

> The Corrections
>   Attached you'll find an updated spec file that corrects the blocker items
> listed above. Please review it write back if you need to discuss anything. Once
> you resubmit updated spec and srpm urls that correct the blockers this should be
> approvable.

New versions of the source rpm and spec file can be found here:
ftp://open-gnss.org/pub/fedora/nautilus-python
Comment 4 Jef Spaleta 2007-04-22 16:19:35 EDT
nautilus-python-0.4.3-3.fc7.src.rpm APPROVED
Comment 5 Trond Danielsen 2007-04-22 17:07:34 EDT
New Package CVS Request
=======================
Package Name: nautilus-python
Short Description: Python bindings for Nautilus.
Owners: trond.danielsen@gmail.com
Branches: FC-6
InitialCC: 
Comment 6 Trond Danielsen 2007-04-24 16:44:53 EDT
Thank you for the review and the feedback!
Comment 7 Caghan Demirci 2011-12-16 09:46:07 EST
Package Change Request
======================
Package Name: nautilus-python
New Branches: el5 el6
Owners: dignan
InitialCC: jkeating

dignan is already listed as the owner of the EPEL package under https://admin.fedoraproject.org/pkgdb/acls/name/nautilus-python.
However, the package can still not be found in the EPEL repository.  I imagine that a branch request is necessary.
Note that versions higher than 0.7.0-3 will not work on RHEL because they require Nautilus 3.

I am not able to set the fedora-cvs flag to ?, as recommended in the instructions.  It is locked at +.  So I set the needinfo flag to ?.

Thanks!
Comment 8 Ignacio Vazquez-Abrams 2012-02-07 21:31:16 EST
I've set the flag to ? so that we can get this done.
Comment 9 Gwyn Ciesla 2012-02-08 08:09:33 EST
I don't see anything in pkgdb or git that doesn't match what's requested.
Comment 10 Ignacio Vazquez-Abrams 2012-02-08 08:13:40 EST
Fair enough. I'm just used to seeing some sort of confirmation that the actions had been performed.
Comment 11 Caghan Demirci 2012-02-08 17:49:57 EST
  Hi Jon and Ignacio,

  pkgdb is just fine.  I never said that pkgdb was missing something.  But the package itself can still not be found in the EPEL repository.  See RepoView, for example:
http://dl.fedoraproject.org/pub/epel/6/SRPMS/repoview/letter_n.group.html
  There is no "nautilus-python" in there.

  Thanks!
Comment 12 Caghan Demirci 2012-04-05 16:40:51 EDT
  nautilus-python will be built for EPEL within the context of bug 771262.

  There is nothing more to do here.

Note You need to log in before you can comment on or make changes to this bug.